Package: org.codehaus.groovy.ast.expr

## [Java] Class MapEntryExpression

- org.codehaus.groovy.ast.expr.MapEntryExpression

- Represents an entry inside a map expression such as 1 : 2.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MapEntryExpression (Expression keyExpression, Expression valueExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getKeyExpression()`
    `` | `Expression` | `getValueExpression()`
    `` | `void` | `setKeyExpression(Expression keyExpression)`
    `` | `void` | `setValueExpression(Expression valueExpression)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MapEntryExpression(Expression keyExpression, Expression valueExpression)

  - ### Method Detail

    - #### public Expression getKeyExpression()

    - #### public Expression getValueExpression()

    - #### public void setKeyExpression(Expression keyExpression)

    - #### public void setValueExpression(Expression valueExpression)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)